Search documentation of grizzly

# View Source Grizzly.ZWave.CommandClasses.CentralScene (grizzly v7.4.2)

"CentralScene" Command Class

The Central Scene Command Class is used to communicate central scene activations to a central controller

# Summary

## Types

key_attribute()
key_attributes()

## Functions

boolean_to_bit(bool)
key_attribute_from_bit_index(arg1, arg2)
key_attribute_from_byte(byte)
key_attribute_to_bit_index(atom)
key_attribute_to_byte(key_attribute)
validate_supported_key_attributes(supported_attribute_keys, supported_scenes, identical?)

# Types

Link to this type

# key_attribute()

View Source

    @type key_attribute() ::
      :key_pressed_1_time
      | :key_released
      | :key_held_down
      | :key_pressed_2_times
      | :key_pressed_3_times
      | :key_pressed_4_times
      | :key_pressed_5_times

Link to this type

# key_attributes()

View Source

    @type key_attributes() :: [key_attribute()]

# Functions

Link to this function

# boolean_to_bit(bool)

View Source
Link to this function

# key_attribute_from_bit_index(arg1, arg2)

View Source
Link to this function

# key_attribute_from_byte(byte)

View Source
Link to this function

# key_attribute_to_bit_index(atom)

View Source
Link to this function

# key_attribute_to_byte(key_attribute)

View Source
Link to this function

# validate_supported_key_attributes(supported_attribute_keys, supported_scenes, identical?)

View Source